Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 387623 - sys-infiniband/opensm - Variables in /etc/init.d/opensm and /etc/conf.d/opensm do not match
Summary: sys-infiniband/opensm - Variables in /etc/init.d/opensm and /etc/conf.d/opens...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Cluster Team
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks:
 
Reported: 2011-10-19 01:31 UTC by Thomas Albers
Modified: 2015-02-11 04:46 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
opensm.init.d.patch (opensm.init.d.patch,664 bytes, patch)
2014-12-27 00:55 UTC, Andrew Savchenko
Details | Diff
opensm.conf.d (opensm.conf.d,75 bytes, text/x-dsrc)
2014-12-27 00:56 UTC, Andrew Savchenko
Details
opensm-3.3.17.ebuild.patch (opensm-3.3.17.ebuild.patch,391 bytes, patch)
2014-12-27 00:56 UTC, Andrew Savchenko
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Albers 2011-10-19 01:31:37 UTC
The initscript for opensm has just one variable $OPTIONS, for the options to be passed to the opensm daemon.  In the corresponding configuration file there is exactly one variable $OSM_HOSTS="".

$OSM_HOSTS goes unused in the initscript, and $OPTIONS is not found in the config file.
Comment 1 Jeroen Roovers gentoo-dev 2011-10-19 12:06:50 UTC
Next time, please put the CATEGORY/PKG in the Summary.
Comment 2 Andrew Savchenko gentoo-dev 2014-12-08 12:42:20 UTC
Same here, looks like conf.d should contain OPTIONS, or preferably OSM_OPTIONS to avoid possible variable collisions with other init.d stuff.
Comment 3 Andrew Savchenko gentoo-dev 2014-12-27 00:54:18 UTC
Files and patches below provide consistent init.d script and config file.
Cluster team, please review.
Comment 4 Andrew Savchenko gentoo-dev 2014-12-27 00:55:28 UTC
Created attachment 392480 [details, diff]
opensm.init.d.patch
Comment 5 Andrew Savchenko gentoo-dev 2014-12-27 00:56:03 UTC
Created attachment 392482 [details]
opensm.conf.d
Comment 6 Andrew Savchenko gentoo-dev 2014-12-27 00:56:33 UTC
Created attachment 392484 [details, diff]
opensm-3.3.17.ebuild.patch
Comment 7 Andrew Savchenko gentoo-dev 2014-12-27 12:20:56 UTC
sldd.sh, where OSM_HOSTS is used was added as optional daemon, see bug 533676.
Comment 8 Andrew Savchenko gentoo-dev 2015-01-10 06:33:27 UTC
Hello,

I'm going to commit proposed patch it two weeks if there are no objections.
Comment 9 Andrew Savchenko gentoo-dev 2015-02-11 04:46:49 UTC
Fixed in 3.3.17-r1.